"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }



var _chunkPOMZSIODcjs = require('./chunk-POMZSIOD.cjs');


var _chunkYKRFYR2Qcjs = require('./chunk-YKRFYR2Q.cjs');


var _chunk7FPSHSSOcjs = require('./chunk-7FPSHSSO.cjs');

// src/common/csv.ts
var defaultSeparator = ",";
function csvStringify(data, opt = {}) {
  const { separator = defaultSeparator } = opt;
  let body = "";
  if (opt.addBom)
    body = "\uFEFF";
  for (let i = 0; i < data.length; i++) {
    body += `${data[i].map((field) => {
      if (field == null || field === "")
        return "";
      if (_chunkPOMZSIODcjs.isBoolean.call(void 0, field))
        return field ? 1 : 0;
      let s = String(field);
      if (_chunkPOMZSIODcjs.isRecord.call(void 0, field) || _chunkPOMZSIODcjs.isArray.call(void 0, field))
        s = _chunk7FPSHSSOcjs.jsonStringifySafe.call(void 0, field);
      if (s.includes('"') || s.includes("\n") || s.includes(separator))
        return `"${s.replace(/"/g, '""')}"`;
      return s;
    }).join(separator)}
`;
  }
  return body;
}
function csvParse(raw, opt = {}) {
  let rxOneValueWithSeparator = /("((?:(?:[^"]*?)(?:"")?)*)"|([^,;\t\n]*))([,;\t]|\n|\r\n)/g;
  if (opt.separator)
    rxOneValueWithSeparator = new RegExp(rxOneValueWithSeparator.source.replaceAll(",;\\t", _chunkYKRFYR2Qcjs.escapeRegExp.call(void 0, opt.separator)), rxOneValueWithSeparator.flags);
  const lines = [];
  let row = [];
  let m;
  const text = `${raw.replaceAll("\r\n", "\n").trim()}
`;
  while (m = rxOneValueWithSeparator.exec(text)) {
    let value = _nullishCoalesce(_nullishCoalesce(m[2], () => ( m[3])), () => ( ""));
    value = value.replaceAll('""', '"');
    row.push(value);
    if (m[4] === "\n") {
      lines.push(row);
      row = [];
    }
  }
  return lines;
}
function csvParseToObjects(raw, opt = {}) {
  const lines = csvParse(raw, opt);
  const header = lines[0];
  return lines.slice(1).map(
    (l) => Object.fromEntries(l.map((v, i) => [header[i], v]))
  );
}





exports.csvStringify = csvStringify; exports.csvParse = csvParse; exports.csvParseToObjects = csvParseToObjects;
//# sourceMappingURL=chunk-A3EO3TPX.cjs.map