"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/common/data/camelcase.ts
function toCamelCase(s) {
  if (s.length > 0) {
    if (/^[A-Z0-9_\-\ ]*$/g.test(s))
      s = s.toLowerCase();
    s = s.replace(/^[-_\ ]+/gi, "").replace(/[-_\ ]+$/gi, "").replace(/[-_\ ]+([a-z0-9])/gi, ($0, $1) => $1.toUpperCase());
    s = s[0].toLowerCase() + s.substring(1);
  }
  return s;
}
function toCapitalize(s) {
  return s.charAt(0).toUpperCase() + s.toLowerCase().slice(1);
}
function toCapitalizeWords(s) {
  return s.replace(/\w\S*/g, toCapitalize);
}
function fromCamelCase(str, separator = "-") {
  separator = typeof separator === "undefined" ? "_" : separator;
  return str.replace(/([a-z\d])([A-Z])/g, `$1${separator}$2`).replace(/([A-Z]+)([A-Z][a-z\d]+)/g, `$1${separator}$2`).toLowerCase();
}






exports.toCamelCase = toCamelCase; exports.toCapitalize = toCapitalize; exports.toCapitalizeWords = toCapitalizeWords; exports.fromCamelCase = fromCamelCase;
//# sourceMappingURL=chunk-BMRI2X66.cjs.map