"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunkMSWKJBIGcjs = require('./chunk-MSWKJBIG.cjs');


var _chunkZYPCVNSGcjs = require('./chunk-ZYPCVNSG.cjs');

// src/common/msg/emitter.ts
var Emitter = class {
  constructor() {
    this.subscribers = {};
    this.subscribersOnAny = [];
    this._logEmitter = _chunkMSWKJBIGcjs.DefaultLogger.call(void 0, "zeed:emitter", "warn");
    /** RPC like emitting of events. */
    this.call = new Proxy({}, {
      get: (target, name) => async (...args) => await this.emit(name, ...args)
    });
  }
  /**
   * Emits an event to all subscribers and executes their corresponding event handlers.
   * 
   * @param event - The event to emit.
   * @param args - The arguments to pass to the event handlers.
   * @returns A promise that resolves to a boolean indicating whether the event was successfully emitted.
   */
  async emit(event, ...args) {
    let ok = false;
    try {
      const subscribers = this.subscribers[event] || [];
      this._logEmitter.debug("emit", _optionalChain([this, 'optionalAccess', _ => _.constructor, 'optionalAccess', _2 => _2.name]), event, ...args, subscribers);
      this.subscribersOnAny.forEach((fn) => fn(event, ...args));
      if (subscribers.length > 0) {
        const all = subscribers.map(({ fn }) => {
          try {
            return Promise.resolve(fn(...args));
          } catch (err) {
            this._logEmitter.warn("emit warning:", err);
          }
          return null;
        }).filter((fn) => fn != null);
        ok = true;
        await Promise.all(all);
      }
    } catch (err) {
      this._logEmitter.error("emit exception", err);
    }
    return ok;
  }
  onAny(fn) {
    this.subscribersOnAny.push(fn);
  }
  on(event, fn, opt = {}) {
    const { priority = 0 } = opt;
    const subscribers = this.subscribers[event] || [];
    const slen = subscribers.length;
    const sobj = { fn, priority };
    if (slen <= 0) {
      this.subscribers[event] = [sobj];
    } else {
      let pos = slen;
      for (let i = subscribers.length - 1; i >= 0; i--) {
        const s = subscribers[i];
        if (priority <= s.priority)
          break;
        pos -= 1;
      }
      subscribers.splice(pos, 0, sobj);
    }
    return () => {
      this.off(event, fn);
    };
  }
  onCall(handlers) {
    for (const [name, handler] of Object.entries(handlers))
      this.on(name, handler);
  }
  once(event, listener) {
    const onceListener = async (...args) => {
      this.off(event, onceListener);
      return await Promise.resolve(listener(...args));
    };
    this.on(event, onceListener);
    return () => {
      this.off(event, listener);
    };
  }
  off(event, listener) {
    this.subscribers[event] = (this.subscribers[event] || []).filter((f) => listener && f.fn !== listener);
    return this;
  }
  removeAllListeners() {
    this.subscribers = {};
    return this;
  }
};
function getGlobalEmitter() {
  let emitter = _chunkZYPCVNSGcjs.getGlobalContext.call(void 0, ).emitter;
  if (!emitter) {
    emitter = new Emitter();
    _chunkZYPCVNSGcjs.getGlobalContext.call(void 0, ).emitter = emitter;
  }
  return emitter;
}




exports.Emitter = Emitter; exports.getGlobalEmitter = getGlobalEmitter;
//# sourceMappingURL=chunk-EGSR2MZJ.cjs.map