"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/common/data/format.ts
function formatBytesToHumanBase1024(bytes, decimals = 2) {
  const units = ["bytes", "KiB", "MiB", "GiB", "TiB", "PiB", "EiB"];
  const c = 1 / 1023;
  let i = 0;
  let h = 0;
  if (bytes < 0)
    bytes = 0;
  for (; h < c && i < units.length; i++) {
    h = 1024 ** i / bytes;
    if (h >= c)
      break;
  }
  return `${(1 / h).toFixed(i > 0 ? decimals : 0).toLocaleString()} ${units[i]}`;
}
function formatBytesToHumanBase1000(bytes, decimals = 2) {
  const units = ["bytes", "KB", "MB", "GB", "TB", "PB", "EB"];
  const c = 1 / 999;
  let i = 0;
  let h = 0;
  if (bytes < 0)
    bytes = 0;
  for (; h < c && i < units.length; i++) {
    h = 1e3 ** i / bytes;
    if (h >= c)
      break;
  }
  return `${(1 / h).toFixed(i > 0 ? decimals : 0).toLocaleString()} ${units[i]}`;
}
function formatSecondsToTime(seconds, separator = ":") {
  const prefix = seconds < 0 ? "-" : "";
  if (seconds < 0)
    seconds = -1 * seconds;
  const h = Math.floor(seconds / 3600);
  const m = Math.floor(seconds % 3600 / 60);
  const s = Math.round(seconds % 60);
  return prefix + [h, m > 9 ? m : h ? `0${m}` : m || "0", s > 9 ? s : `0${s}`].filter(Boolean).join(separator);
}





exports.formatBytesToHumanBase1024 = formatBytesToHumanBase1024; exports.formatBytesToHumanBase1000 = formatBytesToHumanBase1000; exports.formatSecondsToTime = formatSecondsToTime;
//# sourceMappingURL=chunk-N7OUNPMM.cjs.map