"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/common/time.ts
function getTimestamp() {
  return Date.now();
}
function formatMilliseconds(ms) {
  return ms > 999 ? `${(ms / 1e3).toFixed(1)} s` : `${ms.toFixed(2)} ms`;
}
function parseDate(...dateCandidates) {
  for (const dateCandidate of dateCandidates) {
    if (dateCandidate instanceof Date)
      return dateCandidate;
    if (typeof dateCandidate === "string") {
      let date = null;
      if (dateCandidate.includes(":")) {
        try {
          date = new Date(dateCandidate);
        } catch (err) {
        }
      }
      if (!(date instanceof Date)) {
        const m = /(\d\d\d\d)-(\d\d)-(\d\d)/.exec(dateCandidate);
        if (m)
          date = new Date(+m[1], +m[2] - 1, +m[3], 12, 0);
      }
      if (date instanceof Date)
        return date;
    }
  }
}
function getPerformanceTimestamp() {
  return typeof performance !== "undefined" ? performance.now() : Date.now();
}
function duration() {
  const t0 = getPerformanceTimestamp();
  return function() {
    const duration2 = getPerformanceTimestamp() - t0;
    return formatMilliseconds(duration2);
  };
}







exports.getTimestamp = getTimestamp; exports.formatMilliseconds = formatMilliseconds; exports.parseDate = parseDate; exports.getPerformanceTimestamp = getPerformanceTimestamp; exports.duration = duration;
//# sourceMappingURL=chunk-NYVRXH32.cjs.map