"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }// src/common/exec/promise.ts
function createPromise() {
  let resolve, reject;
  const promise = new Promise((_resolve, _reject) => {
    resolve = _resolve;
    reject = _reject;
  });
  return [promise, resolve, reject];
}
async function sleep(milliSeconds) {
  return new Promise((resolve) => setTimeout(resolve, milliSeconds));
}
async function immediate() {
  return new Promise((resolve) => setTimeout(resolve, 0));
}
async function timeout(promise, milliSeconds, timeoutValue = "timeoutReached") {
  return new Promise((resolve, reject) => {
    let done = false;
    const timeout2 = setTimeout(() => {
      done = true;
      resolve(timeoutValue);
    }, milliSeconds);
    promise.then((result) => {
      clearTimeout(timeout2);
      if (!done)
        resolve(result);
    }).catch((err) => {
      clearTimeout(timeout2);
      if (!done)
        reject(err);
    });
  });
}
function isTimeout(value) {
  return value === "timeoutReached" || _optionalChain([value, 'optionalAccess', _ => _.name]) === "Timeout reached";
}
async function tryTimeout(promise, milliSeconds) {
  if (milliSeconds <= 0)
    return await promise;
  return new Promise((resolve, reject) => {
    let done = false;
    const timeout2 = setTimeout(() => {
      done = true;
      reject(new Error("Timeout reached"));
    }, milliSeconds);
    promise.then((result) => {
      clearTimeout(timeout2);
      if (!done)
        resolve(result);
    }).catch((err) => {
      clearTimeout(timeout2);
      if (!done)
        reject(err);
    });
  });
}
function waitOn(obj, event, timeoutMS = 1e3) {
  return new Promise((resolve, reject) => {
    const fn = (value) => {
      if (timer) {
        clearTimeout(timer);
        done();
        resolve(value);
      }
    };
    let done = () => {
      timer = null;
      if (obj.off)
        obj.off(event, fn);
      else if (obj.removeEventListener)
        obj.removeEventListener(event, fn);
    };
    let timer = setTimeout(() => {
      done();
      reject(new Error("Did not response in time"));
    }, timeoutMS);
    if (obj.on)
      obj.on(event, fn);
    else if (obj.addEventListener)
      obj.addEventListener(event, fn);
  });
}
function isPromise(value) {
  return Boolean(value && (value instanceof Promise || typeof value.then === "function"));
}
function promisify(value) {
  return Promise.resolve(value);
}











exports.createPromise = createPromise; exports.sleep = sleep; exports.immediate = immediate; exports.timeout = timeout; exports.isTimeout = isTimeout; exports.tryTimeout = tryTimeout; exports.waitOn = waitOn; exports.isPromise = isPromise; exports.promisify = promisify;
//# sourceMappingURL=chunk-QYCE2TUJ.cjs.map