import {
  LoggerFileHandler
} from "./chunk-ENOX7MRW.js";
import {
  LoggerNodeHandler
} from "./chunk-KIFN4I7O.js";
import {
  toPath
} from "./chunk-PIRBDIFN.js";
import {
  getGlobalLogger
} from "./chunk-6KWR5DLV.js";
import {
  valueToBoolean
} from "./chunk-PIOWR3HK.js";

// src/node/log/log-context-node.ts
import process from "node:process";
function Logger(name, level) {
  return getGlobalLogger((context) => {
    const handlers = [
      LoggerNodeHandler({
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = process.env.ZEED_LOG ?? process.env.LOG;
    const time = valueToBoolean(process.env.ZEED_TIME, true);
    const pretty = valueToBoolean(process.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(LoggerFileHandler(toPath(logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-TQDYPKFM.js.map