import {
  escapeRegExp
} from "./chunk-ZMFW3O35.js";

// src/common/data/path.ts
var MAX_FILENAME_LENGTH = 100;
var reRelativePath = /^\.+/;
var reTrailingPeriods = /\.+$/;
var reFilenameIllegal = /[<>:\"/\\|?*\u0000-\u001F\u0080-\u009F]+/gm;
function filenameReservedRegex() {
  return reFilenameIllegal;
}
function windowsReservedNameRegex() {
  return /^(con|prn|aux|nul|com\d|lpt\d)$/i;
}
function toValidFilename(string, replacement = "_") {
  if (typeof string !== "string")
    throw new TypeError("Expected a string");
  if (filenameReservedRegex().test(replacement))
    throw new Error("Replacement string cannot contain reserved filename characters");
  const reReplacement = `(${escapeRegExp(replacement)})+`;
  string = string.replace(filenameReservedRegex(), replacement).replace(reRelativePath, replacement).replace(reTrailingPeriods, "").replace(new RegExp(reReplacement, "gm"), replacement).trim();
  string = windowsReservedNameRegex().test(string) ? string + replacement : string;
  return string.slice(0, MAX_FILENAME_LENGTH);
}

export {
  toValidFilename
};
//# sourceMappingURL=chunk-TYWNSO7K.js.map