"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _chunkPOMZSIODcjs = require('./chunk-POMZSIOD.cjs');

// src/node/fs.ts
var _promises = require('fs/promises');
var _path = require('path');
var _process = require('process'); var _process2 = _interopRequireDefault(_process);
function toHumanReadableFilePath(path) {
  const p = _path.normalize.call(void 0, path);
  const h = _process2.default.env.HOME;
  if (h && p.startsWith(h))
    return `~${p.slice(h.length)}`;
  return p;
}
async function exists(path) {
  try {
    await _promises.stat.call(void 0, path);
  } catch (err) {
    return false;
  }
  return true;
}
function isHiddenPath(path) {
  return path.startsWith(".") || path.includes("/.");
}
async function ensureFolder(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (!await exists(path))
    await _promises.mkdir.call(void 0, path, { recursive: true });
  return path;
}
async function ensureFolderForFile(...parts) {
  const path = _path.dirname.call(void 0, _path.join.call(void 0, ...parts));
  if (!await exists(path))
    await _promises.mkdir.call(void 0, path, { recursive: true });
  return path;
}
async function removeFolder(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (await exists(path))
    await _promises.rm.call(void 0, path, { recursive: true });
  return path;
}
async function readText(...parts) {
  const path = _path.join.call(void 0, ...parts);
  if (await exists(path))
    return await _promises.readFile.call(void 0, path, "utf-8");
}
async function writeText(path, content, createFolders = false) {
  if (createFolders)
    await ensureFolderForFile(path);
  await _promises.writeFile.call(void 0, path, content, "utf-8");
}
async function writeData(path, content, createFolders = false) {
  if (createFolders)
    await ensureFolderForFile(path);
  const data = _chunkPOMZSIODcjs.isUint8Array.call(void 0, content) ? content : JSON.stringify(content);
  await _promises.writeFile.call(void 0, path, data);
}











exports.toHumanReadableFilePath = toHumanReadableFilePath; exports.exists = exists; exports.isHiddenPath = isHiddenPath; exports.ensureFolder = ensureFolder; exports.ensureFolderForFile = ensureFolderForFile; exports.removeFolder = removeFolder; exports.readText = readText; exports.writeText = writeText; exports.writeData = writeData;
//# sourceMappingURL=chunk-ULMMK2XZ.cjs.map