"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkBBX7CCGYcjs = require('./chunk-BBX7CCGY.cjs');


var _chunkNYVRXH32cjs = require('./chunk-NYVRXH32.cjs');





var _chunkXDY4SRCLcjs = require('./chunk-XDY4SRCL.cjs');



var _chunk66YRDFQPcjs = require('./chunk-66YRDFQP.cjs');

// src/common/uuid.ts
var uuidBytesLength = 16;
function uuidBytes() {
  return _chunkBBX7CCGYcjs.randomUint8Array.call(void 0, uuidBytesLength);
}
function uuidB62(bytes = uuidBytes()) {
  return _chunkXDY4SRCLcjs.encodeBase62.call(void 0, bytes, 22);
}
function uuidEncodeB62(bytes) {
  return _chunkXDY4SRCLcjs.encodeBase62.call(void 0, bytes, 22);
}
function uuidDecodeB62(uuid2) {
  return _chunkXDY4SRCLcjs.decodeBase62.call(void 0, uuid2, uuidBytesLength);
}
function uuidB32(bytes = uuidBytes()) {
  return _chunkXDY4SRCLcjs.encodeBase32.call(void 0, bytes, 26);
}
function uuidEncodeB32(bytes) {
  return _chunkXDY4SRCLcjs.encodeBase32.call(void 0, bytes, 26);
}
function uuidDecodeB32(uuid2) {
  return _chunkXDY4SRCLcjs.decodeBase32.call(void 0, uuid2, uuidBytesLength);
}
var pattern = "10000000-1000-4000-8000-100000000000";
var uuidv4 = function() {
  return typeof crypto !== "undefined" && crypto.randomUUID != null ? crypto.randomUUID() : pattern.replace(/[018]/g, (c) => (c ^ _chunkBBX7CCGYcjs.randomUint8Array.call(void 0, 1)[0] & 15 >> c / 4).toString(16));
};
function uuidEncodeV4(bytes) {
  const id = _chunk66YRDFQPcjs.toHex.call(void 0, bytes);
  return `${id.slice(0, 8)}-${id.slice(8, 12)}-${id.slice(12, 16)}-${id.slice(16)}`;
}
function uuidDecodeV4(uuid2) {
  return _chunk66YRDFQPcjs.fromHex.call(void 0, uuid2.replaceAll("-", ""));
}
var ReferenceDateInMS = 16e11;
function longToByteArray(long) {
  const byteArray = new Uint8Array([0, 0, 0, 0, 0, 0]);
  const bytes = byteArray.length - 1;
  for (let index = 0; index < byteArray.length; index++) {
    const byte = long & 255;
    byteArray[bytes - index] = byte;
    long = (long - byte) / 256;
  }
  return byteArray;
}
function suidBytes() {
  const ms = _chunkNYVRXH32cjs.getTimestamp.call(void 0, ) - ReferenceDateInMS;
  return new Uint8Array([...longToByteArray(ms), ..._chunkBBX7CCGYcjs.randomUint8Array.call(void 0, 10)]);
}
function suid() {
  return uuidEncode(suidBytes());
}
function suidDate(id) {
  return suidBytesDate(uuidDecode(id));
}
function suidBytesDate(id) {
  return new Date(
    ReferenceDateInMS + id.slice(0, 6).reduce((acc, byte) => acc * 256 + byte, 0)
  );
}
function uuid32bit() {
  return new Uint32Array(_chunkBBX7CCGYcjs.randomUint8Array.call(void 0, 4))[0];
}
var mapModes = {
  base62: {
    uuid: uuidB62,
    uuidDecode: uuidDecodeB62,
    uuidEncode: uuidEncodeB62
  },
  base32: {
    uuid: uuidB32,
    uuidDecode: uuidDecodeB32,
    uuidEncode: uuidEncodeB32
  },
  uuidv4: {
    uuid: uuidv4,
    uuidDecode: uuidDecodeV4,
    uuidEncode: uuidEncodeV4
  }
};
var _mode = "base62";
var _sorted = false;
function setUuidDefaultEncoding(mode, sorted = false) {
  _mode = mode;
  _sorted = sorted;
}
function uuid() {
  return mapModes[_mode].uuid(_sorted ? suidBytes() : uuidBytes());
}
function uuidDecode(uuid2) {
  return mapModes[_mode].uuidDecode(uuid2);
}
function uuidEncode(bytes) {
  return mapModes[_mode].uuidEncode(bytes);
}
function uuidIsValid(uuid2) {
  try {
    const bin = uuidDecode(uuid2);
    return bin.length === uuidBytesLength;
  } catch (err) {
  }
  return false;
}
var _unameCounters = {};
function uname(name = "id") {
  if (_unameCounters[name] == null)
    _unameCounters[name] = 0;
  return `${name}-${_unameCounters[name]++}`;
}
var _qid = 0;
function qid() {
  return `id-${_qid++}`;
}
























exports.uuidBytes = uuidBytes; exports.uuidB62 = uuidB62; exports.uuidEncodeB62 = uuidEncodeB62; exports.uuidDecodeB62 = uuidDecodeB62; exports.uuidB32 = uuidB32; exports.uuidEncodeB32 = uuidEncodeB32; exports.uuidDecodeB32 = uuidDecodeB32; exports.uuidv4 = uuidv4; exports.uuidEncodeV4 = uuidEncodeV4; exports.uuidDecodeV4 = uuidDecodeV4; exports.suidBytes = suidBytes; exports.suid = suid; exports.suidDate = suidDate; exports.suidBytesDate = suidBytesDate; exports.uuid32bit = uuid32bit; exports.setUuidDefaultEncoding = setUuidDefaultEncoding; exports.uuid = uuid; exports.uuidDecode = uuidDecode; exports.uuidEncode = uuidEncode; exports.uuidIsValid = uuidIsValid; exports.uname = uname; exports.qid = qid;
//# sourceMappingURL=chunk-YMHH3L5N.cjs.map