/** Like `.map()` for object. Return new key and value or `undefined` to delete. */
declare function objectMap<T = any>(obj: any, fn: (key: string, value: any) => [key: string, value: T] | T | undefined | null): Record<string, T>;
/** Merge right into left object. If dispose is defined, it will be combined. Left can be a complex object i.e. a insantiated class. */
declare function objectMergeDisposable<A extends object, B extends object>(a: A, b: B): A & B;
declare function objectIsEmpty(obj: object): boolean;
declare function objectPick<T extends object, K extends keyof T>(obj: T, ...keys: K[]): Pick<T, K>;
declare function objectInclusivePick<T extends object, K extends (string | number | symbol)>(obj: T, ...keys: K[]): { [key in K]: key extends keyof T ? T[key] : undefined; };
declare function objectOmit<T extends object, K extends keyof T>(obj: T, ...keys: K[]): Omit<T, K>;
declare function objectPlain(obj: any, opt?: {
    maxDepth?: number;
    maxDepthValue?: any;
    circleValue?: any;
    filter?: (value: any) => boolean;
}): any;

export { objectInclusivePick, objectIsEmpty, objectMap, objectMergeDisposable, objectOmit, objectPick, objectPlain };
