import { Disposer, DisposerFunction } from './dispose-types.js';
import { LoggerInterface } from './log/log-base.js';

interface UseDisposeConfig {
    name?: string;
    log?: LoggerInterface;
}
declare function useDispose(config?: string | UseDisposeConfig | LoggerInterface): ((strictSync?: boolean) => Promise<any> | void) & {
    /** Counter that incremends, each time dispose has been called */
    disposed: number;
    add: (obj?: Disposer) => DisposerFunction | undefined;
    remove: (disposable: Disposer) => Promise<void> | void;
    /** @deprecated use add */
    track: (obj?: Disposer) => DisposerFunction | undefined;
    /** @deprecated use remove */
    untrack: (disposable: Disposer) => Promise<void> | void;
    dispose: (strictSync?: boolean) => Promise<any> | void;
    disposeSync: () => void;
    sync: () => void;
    /** @deprecated use dispose */
    exec: (strictSync?: boolean) => Promise<any> | void;
    getSize(): number;
    isDisposed(): boolean;
};
type UseDispose = ReturnType<typeof useDispose>;
declare function useDefer(config?: {
    mode?: 'lifo' | 'fifo';
}): ((expectSync?: boolean) => Promise<void>) & {
    add: (obj: Disposer) => void;
    exec: (expectSync?: boolean) => Promise<void>;
    getSize(): number;
};
type UseDefer = ReturnType<typeof useDefer>;

export { type UseDefer, type UseDispose, type UseDisposeConfig, useDefer, useDispose };
