import {
  Progress
} from "../../chunk-BEAZFEOP.js";
import "../../chunk-7OAUULYN.js";
import "../../chunk-22B3ZREI.js";
import "../../chunk-IQFZHKL7.js";
import "../../chunk-MPAJZ5W6.js";
import "../../chunk-PSY3LHMH.js";
import "../../chunk-AJ3WFXQE.js";
import "../../chunk-F6OVXD4L.js";
import "../../chunk-ULLOUKBT.js";
import "../../chunk-EZN5PZBB.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-JOSKYDY4.js";
import "../../chunk-6KWR5DLV.js";
import "../../chunk-Y4YCZV43.js";
import "../../chunk-B4UKO53B.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-RG6OSZW5.js";
import "../../chunk-TN2XVUJ2.js";
import "../../chunk-E6MPGGAE.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-NJF7RWE7.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-UHTVWILC.js";
import "../../chunk-T7PU5CTZ.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-NYCGHEIN.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-AFUVZLZZ.js";
import "../../chunk-X2DIUKLP.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-UO5KXZLS.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-BCFBEP5B.js";
import "../../chunk-EOHXRMVQ.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-PIOWR3HK.js";
import "../../chunk-4XPO57AQ.js";
import "../../chunk-ACZDEHYB.js";
import "../../chunk-FSDCRQB3.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-AEBHR4XF.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-NS4INNCL.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-R6KULE2F.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-VVNSHVPQ.js";
import "../../chunk-6GHO7LQW.js";

// src/common/exec/progress.spec.ts
describe("progress.spec", () => {
  it("should track progress", async () => {
    const p = new Progress({
      name: "root",
      totalUnits: 10
    });
    expect(p.getFraction()).toBe(0);
    p.incCompletedUnits();
    expect(p.getTotalUnits()).toBe(10);
    expect(p.getCompletedUnits()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    const pp = new Progress();
    p.addChild(pp);
    expect(p.getChildrenCount()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    pp.setTotalUnits(10);
    expect(p.getFraction()).toBe(0.05);
    pp.incCompletedUnits(5);
    expect(p.getTotalUnits()).toBe(20);
    expect(p.getCompletedUnits()).toBe(6);
    expect(p.getFraction()).toBe(0.3);
    expect(p.toString()).toMatchInlineSnapshot(`
      "root: 1 of 10 units, 30 %, cancel=false
        progress-0: 5 of 10 units, 50 %, cancel=false"
    `);
    expect(pp.isFinished()).toBe(false);
    expect(p.getChildrenCount()).toBe(1);
    await pp.dispose();
    expect(p.getChildrenCount()).toBe(0);
    expect(pp.isFinished()).toBe(true);
    expect(p.getTotalUnits()).toBe(10);
    expect(p.getCompletedUnits()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    expect(p.isFinished()).toBe(false);
    p.setCompletetedUnits(10);
    expect(p.getFraction()).toBe(1);
    expect(p.isFinished()).toBe(true);
  });
  it("should cancel and auto reset", async () => {
    const p = new Progress({
      totalUnits: 10
    });
    expect(p.isCancelled()).toBe(false);
    await p.cancel();
    expect(p.isCancelled()).toBe(true);
    p.incCompletedUnits(10);
    expect(p.isFinished()).toBe(true);
    expect(p.isCancelled()).toBe(false);
  });
});
//# sourceMappingURL=progress.spec.js.map