import { LoggerInterface } from './log-base.js';

/**
 * Overrides the global console methods to capture log messages and forward them to the provided logger.
 * Also captures window errors and unhandled rejections and logs them using the provided logger.
 *
 * @param log - The logger to which the captured log messages will be forwarded.
 */
declare function logCaptureConsole(log: LoggerInterface): void;

export { logCaptureConsole };
