type Json = string | number | boolean | null | {
    [property: string]: Json;
} | Json[];
interface ObjectStorage<T = any> {
    setItem: (key: string, value: T) => void;
    getItem: (key: string) => T | undefined;
    removeItem: (key: string) => void;
    clear: () => void;
    allKeys: () => string[];
}
type NestedArray<T> = T | Array<NestedArray<T>>;

export type { Json, NestedArray, ObjectStorage };
