"use strict";



var _chunkYTYF4IK5cjs = require('../chunk-YTYF4IK5.cjs');
require('../chunk-TZOPYZVR.cjs');
require('../chunk-ULMMK2XZ.cjs');
require('../chunk-IB5IYYW3.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-EEVZF2QK.cjs');
require('../chunk-RZVG4SAU.cjs');
require('../chunk-JCNZZG5S.cjs');
require('../chunk-5FE5DCG4.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-2YZKKGOS.cjs');
require('../chunk-3Q2ENNOJ.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-7UD2I3W2.cjs');
require('../chunk-H6AB4FMJ.cjs');
require('../chunk-2IXDQ4SY.cjs');
require('../chunk-A3EO3TPX.cjs');
require('../chunk-NU2LARFE.cjs');
require('../chunk-QLGR2XSS.cjs');
require('../chunk-TZ5ILUUG.cjs');
require('../chunk-D2NIELWZ.cjs');
require('../chunk-BXH2HPYJ.cjs');
require('../chunk-MA5RCT26.cjs');
require('../chunk-SDJIWERF.cjs');
require('../chunk-GZXW4GUH.cjs');
require('../chunk-TQJ3XFWQ.cjs');
require('../chunk-62FVEJL6.cjs');
require('../chunk-6S5FT6HM.cjs');
require('../chunk-QZHRO76T.cjs');
require('../chunk-EGSR2MZJ.cjs');
require('../chunk-YMHH3L5N.cjs');
require('../chunk-SUEJCT55.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-BR4XCRA2.cjs');
require('../chunk-MSWKJBIG.cjs');
require('../chunk-ZF6FSG4C.cjs');
require('../chunk-PTW4AXNQ.cjs');
require('../chunk-5CIFX7O6.cjs');
require('../chunk-BBX7CCGY.cjs');
require('../chunk-OXPDHZDY.cjs');
require('../chunk-IDBXAXLG.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-NYVRXH32.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-CXBBK7CI.cjs');
require('../chunk-R7WMTFSS.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-7XAMJGPO.cjs');
require('../chunk-RKOTNV3K.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-UTZZGYAE.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-AZ5FKZIK.cjs');
require('../chunk-POMZSIOD.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-X7YZP75W.cjs');
require('../chunk-3SM3C7HY.cjs');
require('../chunk-UXNJ5WZM.cjs');
require('../chunk-QYCE2TUJ.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-CEXYDYSH.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-XDY4SRCL.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-QU2LM4AI.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-66YRDFQP.cjs');
require('../chunk-7FPSHSSO.cjs');

// src/node/files-async.spec.ts
describe("getStatAsync", () => {
  it("should return the stat object for a valid path", async () => {
    const path = __filename;
    const statObject = await _chunkYTYF4IK5cjs.getStatAsync.call(void 0, path);
    expect(statObject).toBeDefined();
    expect(statObject.isFile()).toBe(true);
  });
  it("should return undefined for an invalid path", async () => {
    const path = "/invalid/path";
    const statObject = await _chunkYTYF4IK5cjs.getStatAsync.call(void 0, path);
    expect(statObject).toBeUndefined();
  });
  it("should return the fingerprint for a valid path", async () => {
    const path = __filename;
    const fingerprint = await _chunkYTYF4IK5cjs.getFingerprintAsync.call(void 0, path);
    expect(fingerprint).toBeDefined();
    expect(typeof fingerprint).toBe("string");
  });
  it("should return undefined for an invalid path 2", async () => {
    const path = "/invalid/path";
    const fingerprint = await _chunkYTYF4IK5cjs.getFingerprintAsync.call(void 0, path);
    expect(fingerprint).toBeUndefined();
  });
  it("should return an array of file paths", async () => {
    const paths = await _chunkYTYF4IK5cjs.filesAsync.call(void 0, { basePath: __dirname });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
  });
  it("should return an array of file paths matching the pattern", async () => {
    const pattern = "*.ts";
    const paths = await _chunkYTYF4IK5cjs.filesAsync.call(void 0, { basePath: __dirname, pattern });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
    expect(paths.every((path) => path.endsWith(".ts"))).toBe(true);
  });
  it("should return an empty array if no files match the pattern", async () => {
    const pattern = "*.docx";
    const paths = await _chunkYTYF4IK5cjs.filesAsync.call(void 0, { basePath: __dirname, pattern });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBe(0);
  });
  it("should return an array of file paths filtered by the custom filter function", async () => {
    const filter = (name) => name.includes("spec");
    const paths = await _chunkYTYF4IK5cjs.filesAsync.call(void 0, { basePath: __dirname, filter });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
    expect(paths.every((path) => path.includes("spec"))).toBe(true);
  });
  it("should return an empty array if no files pass the custom filter function", async () => {
    const filter = (name) => name.includes("xyz");
    const paths = await _chunkYTYF4IK5cjs.filesAsync.call(void 0, { basePath: __dirname, filter });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBe(0);
  });
  it("should ignore hidden files by default", async () => {
    const paths = await _chunkYTYF4IK5cjs.filesAsync.call(void 0, { basePath: __dirname });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.every((path) => !path.includes("/."))).toBe(true);
  });
});
//# sourceMappingURL=files-async.spec.cjs.map