import {
  getSourceLocation,
  getStackLlocationList
} from "../../chunk-OQ7CIIKH.js";
import "../../chunk-HMRSQHLY.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-SRT6T6F5.js";
import "../../chunk-LW3TBTZ3.js";
import "../../chunk-MO24G7VK.js";
import "../../chunk-2PE4OYYB.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-WM4WST7Q.js";
import "../../chunk-YKE4UGGF.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-ICGF6PQ6.js";
import "../../chunk-A7SUGWC3.js";
import "../../chunk-FMYV6BBK.js";
import "../../chunk-FG5BB5ND.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-MPAXUMZ5.js";
import "../../chunk-YPA6GF7Q.js";
import "../../chunk-BEAZFEOP.js";
import "../../chunk-7OAUULYN.js";
import "../../chunk-22B3ZREI.js";
import "../../chunk-IQFZHKL7.js";
import "../../chunk-MPAJZ5W6.js";
import "../../chunk-PSY3LHMH.js";
import "../../chunk-AJ3WFXQE.js";
import "../../chunk-ENHLOA77.js";
import "../../chunk-PJDBG5VS.js";
import "../../chunk-F6OVXD4L.js";
import "../../chunk-ULLOUKBT.js";
import "../../chunk-EZN5PZBB.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-JOSKYDY4.js";
import "../../chunk-6KWR5DLV.js";
import "../../chunk-Y4YCZV43.js";
import "../../chunk-B4UKO53B.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-RG6OSZW5.js";
import "../../chunk-TN2XVUJ2.js";
import "../../chunk-E6MPGGAE.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-NJF7RWE7.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-UHTVWILC.js";
import "../../chunk-T7PU5CTZ.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-NYCGHEIN.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-AFUVZLZZ.js";
import "../../chunk-X2DIUKLP.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-UO5KXZLS.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-BCFBEP5B.js";
import "../../chunk-EOHXRMVQ.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-PIOWR3HK.js";
import "../../chunk-4XPO57AQ.js";
import "../../chunk-ACZDEHYB.js";
import "../../chunk-FSDCRQB3.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-AEBHR4XF.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-NS4INNCL.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-R6KULE2F.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-VVNSHVPQ.js";
import "../../chunk-6GHO7LQW.js";

// src/node/log/log-util.spec.ts
describe("log-util", () => {
  it("should find correct source file line", () => {
    const source = getSourceLocation(1, true);
    expect(source.startsWith("src/node/log/log-util.spec.ts:")).toBe(true);
  });
  it("should parse stack", () => {
    const sample = `
    at getSourceLocation (file:///Users/dirk/work/public/zeed/dist/esm/node/log-util.js:13:17)
    at file:///Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26
    at /Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26
    at emit (file:///Users/dirk/work/public/zeed/dist/esm/common/log.js:32:33)
    at Function.LoggerBaseFactory.log.info (file:///Users/dirk/work/public/zeed/dist/esm/common/log.js:55:13)
    at file:///Users/dirk/work/public/zeed/demos/logging/index.js:37:5
    at ModuleJob.run (node:internal/modules/esm/module_job:183:25)
    at async Loader.import (node:internal/modules/esm/loader:178:24)
    at async Object.loadESM (node:internal/process/esm_loader:68:5)
    at async handleMainPromise (node:internal/modules/run_main:63:12)
`;
    expect(getStackLlocationList(sample)).toEqual([
      "/Users/dirk/work/public/zeed/dist/esm/node/log-util.js:13:17",
      "/Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26",
      "/Users/dirk/work/public/zeed/dist/esm/node/log-node.js:105:26",
      "/Users/dirk/work/public/zeed/dist/esm/common/log.js:32:33",
      "/Users/dirk/work/public/zeed/dist/esm/common/log.js:55:13",
      "/Users/dirk/work/public/zeed/demos/logging/index.js:37:5",
      "node:internal/modules/esm/module_job:183:25",
      "node:internal/modules/esm/loader:178:24",
      "node:internal/process/esm_loader:68:5",
      "node:internal/modules/run_main:63:12"
    ]);
  });
});
//# sourceMappingURL=log-util.spec.js.map